POST /api/synthetics/params/_bulk_delete

Spaces method and path for this operation:

post /s/{space_id}/api/synthetics/params/_bulk_delete

Refer to Spaces for more information.

Delete parameters from the Synthetics app.

You must have all privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: uptime-read AND uptime-write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • ids array[string] Required

    An array of parameter IDs to delete.

    Not more than 10000 elements. Minimum length of each is 1, maximum length of each is 1024.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • deleted boolean

      If true, the object was deleted. If false, it was not deleted.

    • id string

      The unique identifier of the deleted object.

POST /api/synthetics/params/_bulk_delete
curl \
  -X POST "${KIBANA_URL}/api/synthetics/params/_bulk_delete" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{"ids":["param1-id","param2-id"]}'
POST kbn://api/synthetics/params/_bulk_delete
{"ids":["param1-id","param2-id"]}
Request example
Run `POST /api/synthetics/params/_bulk_delete` to delete multiple parameters.
{
  "ids": [
    "param1-id",
    "param2-id"
  ]
}
Response examples (200)
[
  {
    "deleted": true,
    "id": "param1-id"
  }
]